> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add metadata array elements to existing prefix holders metadata

> This endpoint allows for the addition of array elements to the metadata arrays of existing prefix holders. If matching values already exist no action is performed.



## OpenAPI

````yaml openapi/nethub-data.yaml post /{tenantUUID}/prefixes/metadata/array
openapi: 3.0.1
info:
  title: NetHub Data
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/nethub-data
security:
  - bearerAuth: []
tags:
  - name: prefixes
  - name: prefixes-metadata
  - name: prefixes-metadata-notation
  - name: prefixes-metadata-array
  - name: prefixes-metadata-array-notation
paths:
  /{tenantUUID}/prefixes/metadata/array:
    post:
      tags:
        - prefixes-metadata-array
      summary: Add metadata array elements to existing prefix holders metadata
      description: >-
        This endpoint allows for the addition of array elements to the metadata
        arrays of existing prefix holders. If matching values already exist no
        action is performed.
      operationId: post-tenantuuid-prefixes-metadata-array
      parameters:
        - name: tenantUUID
          in: path
          description: Tenant UUID
          required: true
          schema:
            type: string
      requestBody:
        description: Request payload for adding elements to metadata arrays.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PrefixesHolderMetadataArrayModifyRequest'
            example:
              - notation: string
                items:
                  - pathToArray: string
                    elements:
                      - {}
                    position: 0
      responses:
        '200':
          description: Successful addition of metadata array elements.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PrefixHolderMetadata'
              example:
                - notation: string
                  ipNet:
                    ip: string
                    mask: string
                  maskSize: 0
                  type: 0
                  holderMetadata:
                    key1: value1
                    keyN: valueN
        '400':
          description: Bad request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                status: string
                code: 0
                error: string
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                status: string
                code: 0
                error: string
        '404':
          description: Not Found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                status: string
                code: 0
                error: string
        '500':
          description: Internal Server Error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                status: string
                code: 0
                error: string
components:
  schemas:
    PrefixesHolderMetadataArrayModifyRequest:
      type: array
      items:
        $ref: '#/components/schemas/PrefixesHolderMetadataArrayModify'
    PrefixHolderMetadata:
      type: object
      properties:
        notation:
          type: string
        ipNet:
          $ref: '#/components/schemas/IPNet'
        maskSize:
          type: integer
        type:
          enum:
            - 0
            - 1
          type: integer
          description: 0 - IPv4, 1 - IPv6
        holderMetadata:
          $ref: '#/components/schemas/PrefixComponentHolderMetadata'
    Error:
      type: object
      properties:
        status:
          type: string
        code:
          type: integer
          format: int64
        error:
          type: string
    PrefixesHolderMetadataArrayModify:
      type: object
      properties:
        notation:
          type: string
          description: The notation identifier for the metadata array.
        items:
          type: array
          items:
            $ref: '#/components/schemas/PrefixHolderMetadataArrayModifyItem'
    IPNet:
      type: object
      properties:
        ip:
          type: string
        mask:
          type: string
    PrefixComponentHolderMetadata:
      type: object
      additionalProperties:
        type: string
      example:
        key1: value1
        keyN: valueN
    PrefixHolderMetadataArrayModifyItem:
      type: object
      properties:
        pathToArray:
          type: string
          description: The path to the metadata array in the holder.
        elements:
          type: array
          items:
            type: object
          description: The elements to add to the array.
        position:
          type: integer
          description: >-
            The position at which to add elements in the array. Only works with
            push. Optional.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````